| Kea 3.0.2-git

isc::data::HierarchyTraversalTest Struct Reference

Structure holding the test functions used to traverse the element hierarchy. More...

`#include <data.h>`

## Public Attributes
IsKeyTestFunc | is_key_
MatchTestFunc | match_
NoDataTestFunc | no_data_

## Detailed Description

Structure holding the test functions used to traverse the element hierarchy.

Definition at line 901 of file data.h.

## Member Data Documentation

## ◆ is_key_

IsKeyTestFunc isc::data::HierarchyTraversalTest::is_key_

Definition at line 904 of file data.h.

## ◆ match_

MatchTestFunc isc::data::HierarchyTraversalTest::match_

Definition at line 902 of file data.h.

## ◆ no_data_

NoDataTestFunc isc::data::HierarchyTraversalTest::no_data_

Definition at line 903 of file data.h.

The documentation for this struct was generated from the following file:

- data.h